Package uk.ac.starlink.table.join

## Class RowRef

- java.lang.Object
- - uk.ac.starlink.table.join.RowRef

- All Implemented Interfaces:
    `java.lang.Comparable<RowRef>`

      public class RowRef
      extends java.lang.Object
      implements java.lang.Comparable<RowRef>

  Represents a reference to a table row. This class really just exists to encapsulate the combination of an `int` index referencing a table and a `long` referencing a row of that table. Importantly though, it implements `equals`, `hashCode` and the `Comparable` interface in such a way as to make it suitable for use as keys in a SortedSet. The sort order defined sorts lowest table index first, then lowest row index.
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RowRef​(int iTable, long lRow)` | Constructs a new RowRef from a table and a row index.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(RowRef other)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `long` | `getRowIndex()` | Returns the row index;
    `int` | `getTableIndex()` | Returns the table index.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowRef

          public RowRef​(int iTable,
                        long lRow)

      Constructs a new RowRef from a table and a row index.
      Parameters:
        `iTable` - table index
        `lRow` - row index

  - ### Method Detail

    - #### getTableIndex

          public int getTableIndex()

      Returns the table index.
      Returns:
        table index

    - #### getRowIndex

          public long getRowIndex()

      Returns the row index;
      Returns:
        row index

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(RowRef other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<RowRef>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`